Edit an eLearning standard course

šŸ”‘

Required OAuth scope: courses:write.

Edits specific fields of an existing eLearning standard (SCORM, AICC, xAPI, ...) course. Fields not included in the request payload remain unchanged. This endpoint should not be used to edit native 360Learning courses.

This endpoint has a specific rate limit of 1 request per second.

āš ļø

This endpoint requires multipart/form-data.

  • Content-Type: multipart/form-data
  • Arrays: Use bracket notation, with the field name repeated for each item
  • Objects: Use JSON-encoded strings

The request preview (the Try it! button on the right panel that generates an example request) may not fully reflect multipart formatting requirements. Instead, use the example below:

curl --request PATCH \
--url https://qlf:8443/api/v2/courses/elearning-standard/6253fae4f24b7e20977ce2f1 \
--header '360-api-version: v2.0' \
--header 'authorization: Bearer {{token}}' \
--header 'content-type: multipart/form-data' \
--form 'coAuthorIds[]=624c5526204fc7207e603ea5' \
--form 'coAuthorIds[]=624c5526204fc7207e603eb8' \
--form coverPicture=@/home/qlf/Images/starfish.jpg \
--form estdFile=@/home/qlf/Documents/OS_script/255514.zip

Path Params
string
required
^[a-fA-F0-9]{24}$

The unique ID of the course.

Body Params
string
length ≄ 1

The title of the course.

string
enum

The language in which the course is created.

string
^[a-fA-F0-9]{24}$

The unique ID of the author of the course.

string
^[a-fA-F0-9]{24}$

The unique ID of the group that will own the course.

coAuthorIds
array of strings

The list of unique IDs of the co-authors of the course.

coAuthorIds
string

The description of the course.

string

An estimate of the time required to complete the course. The expected value is a number of minutes.

file

The eLearning standard package file to use as the course content. Supported media types: application/x-zip-compressed, application/zip.

file

The picture file to be used as the course cover picture. Supported media types: image/bmp, image/gif, image/heic, image/jpeg, image/png, image/svg+xml, image/webp.

Headers
string
enum
required

The version of the API.

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json